### Class

# Template TemplateLocator

#### Description

    class Template.TemplateLocator : GObject.Object
    {
      /* No available fields */
    }

The `TmplTemplateLoader` class is used to specify how templates should be loaded. This can be used directly by your code that will compile the data streams into `TmplTemplate` instances, or by a `TmplTemplate` that is resolving includes from the `{{include "path.tmpl"}}` directive.

See `TmplTemplate:locator` for more information.

#### Ancestors

- GObject

#### Constructors

###### tmpl_template_locator_new

No description available.

#### Instance methods

###### tmpl_template_locator_append_search_path

No description available.

###### tmpl_template_locator_get_search_path

Gets the current search path used by the template locator.

###### tmpl_template_locator_locate

This will resolve the relative path using the search paths found within the template loader.

###### tmpl_template_locator_prepend_search_path

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct TemplateTemplateLocatorClass {
      GObjectClass parent_instance;
      GInputStream* (* locate) (
        TmplTemplateLocator* self,
        const gchar* path,
        GError** error
      );

    }

No description available.

###### Class members

`parent_instance: GObjectClass`

  No description available.

`locate: GInputStream* (* locate) ( TmplTemplateLocator* self, const gchar* path, GError** error )`

  No description available.

#### Virtual methods

###### Template.TemplateLocatorClass.locate

This will resolve the relative path using the search paths found within the template loader.